import { createElement, Component } from 'rax';
import RaxScrollView from 'rax-scrollview';

const noop = () => {};

export default class SFCScrollView extends Component {
  static defaultProps = {
    onScrollToUpper: noop,
    onScrollToLower: noop,
    onScroll: noop,
  };
  render() {
    const {
      'scroll-x': scrollX,
      'scroll-y': scrollY, // 默认就是 y 滚动
      'upper-threshold': upperThreshold, // 距顶部/左边多远时（单位px），触发 scrolltoupper 事件
      'lower-threshold': lowerThreshold, // 距底部/右边多远时（单位px），触发 scrolltolower 事件
      'scroll-top': scrollTop,
      'scroll-left': scrollLeft,
      'scroll-into-view': scrollIntoView,
      'scroll-with-animation': scrollWithAnimation,
      onScrollToUpper,
      onScrollToLower,
      onScroll,
    } = this.props;

    const props = {
      horizontal: false,
      onEndReachedThreshold: lowerThreshold || 50,
      onEndReached: onScrollToLower,
      onScroll,
    };
    if (scrollX === true) {
      props.horizontal = true;
    }

    return <RaxScrollView {...props} />;
  }
}
